import wiringpi as pi
import time
from hsv_rgb import *

green_pin = 18
blue_pin = 23
red_pin = 24

SPI_CH = 0
READ_CH = 0

saturation = 1.0
value = 1.0
hue = 0.0

hsv = hsv_rgb( hue, saturation, value )

pi.wiringPiSPISetup(SPI_CH, 1000000 )

pi.wiringPiSetupGpio()
pi.pinMode( green_pin, pi.OUTPUT )
pi.pinMode( blue_pin, pi.OUTPUT )
pi.pinMode( red_pin, pi.OUTPUT )

pi.softPwmCreate( green_pin, 0, 100)
pi.softPwmCreate( blue_pin, 0, 100)
pi.softPwmCreate( red_pin, 0, 100)

while True:
    buffer = 0x6800 |  (0x1800 * READ_CH ) 
    buffer = buffer.to_bytes( 2, byteorder='big' )

    pi.wiringPiSPIDataRW( SPI_CH, buffer )
    data = ( buffer[0] * 256 + buffer[1] ) & 0x3ff
    hue = data / 1023.0

    hsv.set_hsv( hue, saturation, value )
    ( red, green, blue ) = hsv.get_rgb()

    pi.softPwmWrite( green_pin, int( green * 100 ) )
    pi.softPwmWrite( blue_pin, int( blue * 100 ) )
    pi.softPwmWrite( red_pin, int( red * 100 ) )

