import wiringpi as pi
import time

MOVE_TEMP = 25

SPI_CH = 0
ADC_CH = 0
pi.wiringPiSPISetup( SPI_CH, 1000000 )

MOTOR1_PIN = 20
MOTOR2_PIN = 21

pi.wiringPiSetupGpio()
pi.pinMode( MOTOR1_PIN, pi.OUTPUT )
pi.pinMode( MOTOR2_PIN, pi.OUTPUT )
pi.digitalWrite( MOTOR1_PIN, pi.LOW )
pi.digitalWrite( MOTOR2_PIN, pi.LOW )

while True:
	buffer = 0x6800 | ( 0x1800 * ADC_CH )
	buffer = buffer.to_bytes( 2, byteorder='big' )
	pi.wiringPiSPIDataRW( SPI_CH , buffer )
	value = ( buffer[0] * 256 + buffer[1] ) & 0x3ff
	volt = value * 3.3 / 1023.0
	temp = volt * 100
	print(temp)
	if ( temp > MOVE_TEMP ):
		pi.digitalWrite( MOTOR1_PIN, pi.HIGH )
	else:
		pi.digitalWrite( MOTOR1_PIN, pi.LOW )

	time.sleep( 1 )

